// 
// shows myrand values on canvas
// and has context menu to change values
//
#include TText.h

ClassDef(CMyRandText,1)//Print text of random generator settings

class CMyRandText : public TText {
  char text[80];
  int  text_x,text_y;
  float text_size;
  CMyRand* prnd;
public:
  SetNewVals(int a, int c, int m); // *MENU*
  CMyRandText(float x, float y, float size, CMyRand* prand);
  DrawIt(void);
  ~CMyRandText(void);
};
 

ClassImp(CMyRandText)

CMyRandText::SetNewVals(int a, int c, int m) // *MENU*
  {
      prnd->setpara(a,c,m);
      sprintf(text,"a = %d  c = %d  m = %d",a,c,m);
      SetText(text_x,text_y,text);    
  }

CMyRandText::CMyRandText(float x, float y, float size, CMyRand* prand) : TText(x,y,"Construct")
  {
	  printf("Enter CMyRandText constructor\n");
      prnd = prand;
      text_x = x;
      text_y = y;
	  text_size = size;
      int a,c,m;
      prnd->getpara(&a,&c,&m);
      sprintf(text,"a = %d  c = %d  m = %d",a,c,m);
  }

CMyRandText::DrawIt()
  {
      SetTextSize(text_size);
      Draw(); 
  }
