// 
// shows myrand values on canvas
// and has context menu to change values
//
#include "myrand.h"

class CMyRandText {

private:
  char text[80];
  int  text_x,text_y;
  float text_size;
  CMyRand* prnd;
public:
  SetNewVals(int a, int c, int m); // *MENU*
  CMyRandText();
  CMyRandText(const float x,const  float y,const float size,const CMyRand* prand);
  DrawIt(void);
  virtual ~CMyRandText();
};
 

CMyRandText::SetNewVals(int a, int c, int m)
  {
      prnd->setpara(a,c,m);
      sprintf(text,"a = %d  c = %d  m = %d",a,c,m);
      SetText(text_x,text_y,text);    
  }

CMyRandText::CMyRandText(const float x,const float y,const float size,const CMyRand* prand)
  {
	  printf("Enter CMyRandText constructor\n");
      prnd = prand;
      text_x = x;
      text_y = y;
	  text_size = size;
      int a,c,m;
      prnd->getpara(&a,&c,&m);
      sprintf(text,"a = %d  c = %d  m = %d",a,c,m);
  }

CMyRandText::DrawIt()
  {
      SetTextSize(text_size);
      Draw(); 
  }
